<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('_abrar_plan_projects', function (Blueprint $table) {
            $table->smallIncrements('id');
            $table->unsignedTinyInteger('province_id')->nullable()->index('abrar_plan_projects_province_id_foreign');
            $table->string('province_name')->nullable();
            $table->unsignedSmallInteger('city_id')->nullable()->index('abrar_plan_projects_city_id_foreign');
            $table->string('city_name')->nullable();
            $table->text('axis_name')->nullable();
            $table->string('axis_length')->nullable();
            $table->string('project_type')->nullable();
            $table->unsignedTinyInteger('project_status')->nullable();
            $table->string('project_status_progress')->nullable();
            $table->text('project_status_description')->nullable();
            $table->string('project_status_date')->nullable();
            $table->string('project_start_latlng')->nullable();
            $table->string('project_end_latlng')->nullable();
            $table->string('project_length')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('_abrar_plan_projects');
    }
};
